ATA_SET_MODE(9)

NAME
ata_set_mode - Program timings and issue SET FEATURES - XFER

SYNOPSIS

void ata_set_mode (struct ata_port * ap);

ARGUMENTS

ap  port on which timings will be programmed

DESCRIPTION

Set ATA device disk transfer mode (PIO3, UDMA6, etc.).

LOCKING

PCI/etc. bus probe sem.

AUTHOR
Jeff Garzik.